# boost::numeric::ublas::scalar_real_unary_functor< T > Struct Template Reference

Inherited by boost::numeric::ublas::scalar_imag< T >, and boost::numeric::ublas::scalar_real< T >.

List of all members.

## Public Types

typedef T | value_type
typedef type_traits< T > ::const_reference | argument_type
typedef type_traits< T >::real_type | result_type

### template<class T>
struct boost::numeric::ublas::scalar_real_unary_functor< T >